import QtQuick 2.12
import QtQuick.Window 2.12

Rectangle {
    id: animationScreen

    property bool isNxt: true

    property string qmlAnimationURL : "content/Present.qml"
    property string staticImageT1: ""
    property string staticImageT2: ""
    property int animationInterval : isNxt? 4000:6000

    property bool animationRunning: true
    property bool isVisibleinDimState: true



    height: isNxt? 600:480
    width:isNxt? 1024:800

    Rectangle {
            id: staticoverlay
            color: "transparent"
            width: isNxt? 1024 : 800
            height: isNxt? 600 : 480
            Image {
                    id: webimage
                    source: isNxt? staticImageT2:staticImageT1
                    width: parent.width
                    height: parent.height
            }
            visible:  ((false || true) && true)
     }


    Rectangle {
        id: animationPlay
        color: "transparent"
        width: parent.width; height: parent.height
        anchors {
            top: parent.top
            left: parent.left
            topMargin:0
            leftMargin: 0
            }

        Timer {
            interval: animationInterval
            repeat: true
            running: true
            triggeredOnStart: true
            onTriggered: {
                var component = Qt.createComponent(qmlAnimationURL);
                var balloon = component.createObject(animationPlay);
            }
        }

    }

}
